%define name 	terminatorX
%define version 3.81
%define release 2mdk

Summary: 	Realtime Audio Synthesizer
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Sound
License: 	GPL
URL: 		http://www.terminatorx.cx/

Source: 	%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
Buildroot: 	%{_tmppath}/%{name}-buildroot

BuildRequires:	pkgconfig ladspa-devel zlib-devel sox-devel mpg123 vorbis-tools
BuildRequires:	gtk2-devel libmad-devel libvorbis-devel libaudiofile-devel
BuildRequires:	libalsa-devel libxml2-devel liblrdf-devel XFree86-devel
BuildRequires:	libgtk+-x11-2.0-devel libgdk_pixbuf2.0-devel
BuildRequires:	libscrollkeeper-devel jackit-devel

%description
TerminatorX is a realtime audio synthesizer that allows you to "scratch" on
digitally sampled audio data (*.wav, *.au, *.mp3, etc.) the way hiphop-DJs
scratch on vinyl records. It features multiple turntables, realtime effects
(built-in as well as LADSPA plugin effects), a sequencer, and an easy-to-use
GTK+ GUI.

%prep
%setup -q

%build
%configure2_5x --enable-alsa
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="TerminatorX" longtitle="Sythesizer with scratching" section="Multimedia/Sound"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png
 
%post
%{update_menus}
scrollkeeper-update -p /var/lib/scrollkeeper -o /usr/share/omf/terminatorX

%postun
%{clean_menus}  
scrollkeeper-update

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%doc COPYING AUTHORS ChangeLog NEWS README README.PERFORMANCE THANKS TODO
#%{_datadir}/gnome/apps/Multimedia/%name.desktop
%{_mandir}/man1/*
%{_datadir}/omf/%name/
#%{_datadir}/pixmaps/*.png
%{_datadir}/%name
#%{_datadir}/mime-info/terminatorX.keys
#%{_datadir}/mime-info/terminatorX.mime
%{_menudir}/%{name}
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Feb 17 2004 Austin Acton <austin@mandrake.org> 3.81-2mdk
- rebuild for liblrdf2
- configure 2.5

* Fri Sep 12 2003 Austin Acton <aacton@yorku.ca> 3.81-1mdk
- 3.81
- buildrequires scrollkeeper-devel and jack-devel

* Fri Apr 18 2003 Austin Acton <aacton@yorku.ca> 3.80-1mdk
- cleanup spec, use macros, add buildrequires, add icons
- update description, fix URL
- 3.80

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.60-1mdk
- bm & macros & menu
* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.55-2mdk
- fix group
* Thu Feb 24 2000 Adrian Reber <adrian@42.fht-esslingen.de>
 - Mandrake adaptations.
* Thu Feb 14 2000 Adrian Reber <adrian@42.fht-esslingen.de>
 - Updated to 3.55
* Thu Dec 17 1999 Adrian Reber <adrian@42.fht-esslingen.de>
 - Updated to 3.5
* Thu Jul 29 1999 Adrian Reber <adrian@rhlx01.fht-esslingen.de>
 - Updated to 3.2
* Fri May 07 1999 Adrian Reber <adrian@rhlx01.fht-esslingen.de>
 - Initial release   
